# Gimp.Resource.rename

    @accepts(Gimp.Resource, unicode)
    @returns(bool)
    def rename(self, new_name):
        # Python wrapper for gimp_resource_rename()

Renames a resource. When the name is in use, renames to a unique name.

Renames a resource. When the proposed name is already used, GIMP generates a unique name.

Since 3.0

self

  The resource.

new_name

  The proposed new name of the resource.

Returns